# Route for admin user controller
admin_user_list:
    pattern:  /users.{_format}
    defaults: { _controller: TwtoolsUserBundle:UserAdmin:list, _format: html, _api: list}
    requirements:
        _format:  html|xml|json

admin_user_csv:
    pattern:  /users/excel
    defaults: { _controller: TwtoolsUserBundle:UserAdmin:list, output: csv }

admin_user_vcard:
    pattern:  /users/vcard/{id}
    defaults: { _controller: TwtoolsUserBundle:UserAdmin:vcard}
    requirements:
        id:  \d+

admin_user_delete:
    pattern:  /users/delete/{id}.{_format}
    defaults: { _controller: TwtoolsUserBundle:UserAdmin:delete, _format: html, _api: delete}
    requirements:
        _method:  GET
        _format:  html|xml|json
        id:  \d+

admin_user_tooltip:
    pattern:  /users/tooltip/{id}
    defaults: { _controller: TwtoolsUserBundle:UserAdmin:tooltip }

admin_user_remove:
    pattern:  /users/remove/{id}.{_format}
    defaults: { _controller: TwtoolsUserBundle:UserAdmin:remove, _format: html, _api: delete}
    requirements:
        _method:  GET
        _format:  html|xml|json
        id:  \d+

admin_user_new:
    pattern:  /users/new.{_format}
    defaults: { _controller: TwtoolsUserBundle:UserAdmin:new, _format: html, _api: update}
    requirements:
        _format:  html|xml|json

admin_user_update:
    pattern:  /users/update/{id}.{_format}
    defaults: { _controller: TwtoolsUserBundle:UserAdmin:update, _format: html, _api: update}
    requirements:
        _format:  html|xml|json
        id:  \d+

admin_user_ajaxsearch:
    pattern:  /users/search
    defaults: { _controller: TwtoolsUserBundle:UserAdmin:search}

admin_user_adminacess:
    pattern:  /users/access/{id}.{_format}
    defaults: { _controller: TwtoolsUserBundle:UserAdmin:adminAccess, _format: html, _api: update}
    requirements:
        _format:  html|xml|json
        id:  \d+

admin_user_mailer_list:
    pattern:  /mailers.{_format}
    defaults: { _controller: TwtoolsUserBundle:MailerAdmin:list, _format: html, _api: list}
    requirements:
        _method:  GET
        _format:  html|xml|json

admin_user_mailer_csv:
    pattern:  /mailers/excel
    defaults: { _controller: TwtoolsUserBundle:MailerAdmin:list, output: csv }

admin_user_mailer_detail:
    pattern:  /mailers/detail/{id}
    defaults: { _controller: TwtoolsUserBundle:MailerAdmin:detail}

admin_user_mailer_body:
    pattern:  /mailers/detail/{id}/body/{twhash}
    defaults: { _controller: TwtoolsUserBundle:MailerAdmin:body}

admin_user_file_upload:
    pattern:  /users/avatar/{id}/upload
    defaults: { _controller: TwtoolsUserBundle:UserAdmin:upload, id:'' }

admin_user_file_resize:
    pattern:  /users/avatar/{id}/resize
    defaults: { _controller: TwtoolsUserBundle:UserAdmin:resize, id:''}

admin_user_file_delete:
    pattern:  /users/avatar/{id}/delete.{_format}
    defaults: { _controller: TwtoolsUserBundle:UserAdmin:deletePicture, id:'', _format: html, _api: delete}
